Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.axiom.contact
Class PhoneNumberImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.axiom.contact.PhoneNumberImpl

public class PhoneNumberImpl
extends BelongingImpl
implements PhoneNumber

Represents the components of a phone number and descriptive text.

See Also:
  `PhoneNumber`, `PhoneNumberHome`, Serialized Form

Field Summary
`java.lang.String` | `areaCode` areaCode [PhoneNumber] <*>------> [`String`]
`java.lang.String` | `countryCode` countryCode [PhoneNumber] <*>------> [`String`]
`java.lang.String` | `description` description [PhoneNumber] <*>------> [`String`]
`java.lang.String` | `extension` extension [PhoneNumber] <*>------> [`String`]
`java.lang.String` | `number` number [PhoneNumber] <*>------> [`String`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`PhoneNumberImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`java.lang.String` | `getAreaCode()` Get the value of areaCode
`java.lang.String` | `getCountryCode()` Get the value of countryCode
`java.lang.String` | `getDescription()` Get the value of description
`java.lang.String` | `getExtension()` Get the value of extension
`java.lang.String` | `getNumber()` Get the value of number
`void` | `setAreaCode(java.lang.String areaCode)` Set the value of areaCode
`void` | `setAsText(java.lang.String number)` Set the phone number from a single string.
`void` | `setCountryCode(java.lang.String countryCode)` Set the value of countryCode
`void` | `setDescription(java.lang.String description)` Set the value of description
`void` | `setExtension(java.lang.String extension)` Set the value of extension
`void` | `setNumber(java.lang.String number)` Set the value of number
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### number

    public java.lang.String number

                        number
       [PhoneNumber] <*>------> [String]

### description

    public java.lang.String description

                        description
       [PhoneNumber] <*>------> [String]

### countryCode

    public java.lang.String countryCode

                        countryCode
       [PhoneNumber] <*>------> [String]

### areaCode

    public java.lang.String areaCode

                        areaCode
       [PhoneNumber] <*>------> [String]

### extension

    public java.lang.String extension

                        extension
       [PhoneNumber] <*>------> [String]

Constructor Detail

### PhoneNumberImpl

    public PhoneNumberImpl()

Method Detail

### getNumber

    public java.lang.String getNumber()

  Get the value of number
  Specified by:
    getNumber in interface PhoneNumber
  Returns:
    number.

### setNumber

    public void setNumber(java.lang.String number)

  Set the value of number
  Specified by:
    setNumber in interface PhoneNumber
  Parameters:
    `number` - number to be added

### getDescription

    public java.lang.String getDescription()

  Get the value of description
  Specified by:
    getDescription in interface PhoneNumber
  Returns:
    description.

### setDescription

    public void setDescription(java.lang.String description)

  Set the value of description
  Specified by:
    setDescription in interface PhoneNumber
  Parameters:
    `description` - description to be added

### getCountryCode

    public java.lang.String getCountryCode()

  Get the value of countryCode
  Specified by:
    getCountryCode in interface PhoneNumber
  Returns:
    countryCode.

### setCountryCode

    public void setCountryCode(java.lang.String countryCode)

  Set the value of countryCode
  Specified by:
    setCountryCode in interface PhoneNumber
  Parameters:
    `countryCode` - countryCode to be added

### getAreaCode

    public java.lang.String getAreaCode()

  Get the value of areaCode
  Specified by:
    getAreaCode in interface PhoneNumber
  Returns:
    areaCode.

### setAreaCode

    public void setAreaCode(java.lang.String areaCode)

  Set the value of areaCode
  Specified by:
    setAreaCode in interface PhoneNumber
  Parameters:
    `areaCode` - areaCode to be added

### getExtension

    public java.lang.String getExtension()

  Get the value of extension
  Specified by:
    getExtension in interface PhoneNumber
  Returns:
    extension.

### setExtension

    public void setExtension(java.lang.String extension)

  Set the value of extension
  Specified by:
    setExtension in interface PhoneNumber
  Parameters:
    `extension` - extension to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

### setAsText

    public void setAsText(java.lang.String number)

  Set the phone number from a single string. The string is parsed into its constituent parts.
  Specified by:
    setAsText in interface PhoneNumber

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.